Page MenuHomePhabricator

Update Undo and submit to handle multi lingual schemas
Closed, ResolvedPublic

Description

The undo and submit action still rely on MediaWikiRevisionSchemaWriter::updateSchema which expects only a single language. That should be updated.

Event Timeline

Michael created this task.Mar 5 2019, 5:28 PM
Michael claimed this task.Mar 6 2019, 12:54 PM
Michael moved this task from Backlog to Doing on the Shape Expressions Sprint 3 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptMar 6 2019, 12:54 PM

Change 494723 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseSchema@master] Undo and Restore should work with multilingual schemas

https://gerrit.wikimedia.org/r/494723

Change 494723 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Make Undo and Restore work with multilingual schemas

https://gerrit.wikimedia.org/r/494723

Lydia_Pintscher closed this task as Resolved.Mar 9 2019, 6:56 PM
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 3 board.